
# 1 "SwitchProc.c"

# 13 "C:\Program Files\Microchip\xc8\v2.00\pic\include\c90\stdint.h"
typedef signed char int8_t;

# 20
typedef signed int int16_t;

# 28
typedef __int24 int24_t;

# 36
typedef signed long int int32_t;

# 52
typedef unsigned char uint8_t;

# 58
typedef unsigned int uint16_t;

# 65
typedef __uint24 uint24_t;

# 72
typedef unsigned long int uint32_t;

# 88
typedef signed char int_least8_t;

# 96
typedef signed int int_least16_t;

# 109
typedef __int24 int_least24_t;

# 118
typedef signed long int int_least32_t;

# 136
typedef unsigned char uint_least8_t;

# 143
typedef unsigned int uint_least16_t;

# 154
typedef __uint24 uint_least24_t;

# 162
typedef unsigned long int uint_least32_t;

# 181
typedef signed char int_fast8_t;

# 188
typedef signed int int_fast16_t;

# 200
typedef __int24 int_fast24_t;

# 208
typedef signed long int int_fast32_t;

# 224
typedef unsigned char uint_fast8_t;

# 230
typedef unsigned int uint_fast16_t;

# 240
typedef __uint24 uint_fast24_t;

# 247
typedef unsigned long int uint_fast32_t;

# 268
typedef int32_t intmax_t;

# 282
typedef uint32_t uintmax_t;

# 289
typedef int16_t intptr_t;




typedef uint16_t uintptr_t;

# 17 "SwitchProc.h"
void GetSwitchState(const uint8_t curPortState, uint8_t* pSwState);

# 13 "SwitchProc.c"
void GetSwitchState(const uint8_t curPortState, uint8_t* pSwState)
{
static uint8_t sw_old;
static uint8_t longpushCnt;
static uint8_t s;


{
uint8_t sw = (curPortState & 0b00110001);


if((sw != 0b00110001) &&
(longpushCnt > (500/100))){
*pSwState = 0x80 | s;
}else if(sw_old != sw){

# 31
if(sw == 0b00110000){
s = 1;
}

else if(sw == 0b00100001){
s = 2;
}

else if(sw == 0b00010001){
s = 3;
}

# 54
else if(sw == 0b00110001){
if(longpushCnt == 0) {

}else if(longpushCnt <= (500/100)) {
*pSwState = s;
}else {
*pSwState = 0x40 | s;
}
s = 0;
}else {
s = 0;
}
}

if(sw != 0b00110001){
longpushCnt ++;
}else{
longpushCnt = 0;
}
sw_old = sw;

}


return ;
}

